This API resource is only available for administrators in Tenable.sc Director.
/mgmt/organization
Methods
Gets the list of Organizations.
Fields Parameter
The fields parameter should be specified along the query string, and it takes the syntax
?fields=<field>,...
Allowed Fields
*id
*sci
**sciOrganization
**name
**description
email
address
city
state
country
phone
fax
ipInfoLinks
zoneSelection
restrictedIPs
vulnScoreLow
vulnScoreMedium
vulnScoreHigh
vulnScoreCritical
vulnScoringSystem
createdTime
modifiedTime
userCount
lces
repositories
zones
nessusManagers
pubSites
ldaps
Legend
* = always comes back
** = comes back if fields list not specified on GET all
Request Parameters
None
Example Response
{
"type" : "regular",
"response" : [
{
"id" : "8",
"sciOrgID": "1",
"name" : "Org",
"description" : "New Org",
"SCI": {
"id": "3",
"name": "ChildSCI",
"description": "SCI example description"
},
"email" : "",
"address" : "",
"city" : "",
"state" : "",
"country" : "",
"phone" : "",
"fax" : "",
"ipInfoLinks" : [
{
"name" : "SANS",
"link" : "https:\/\/isc.sans.edu\/ipinfo.html?ip=%IP%"
},
{
"name" : "ARIN",
"link" : "http:\/\/whois.arin.net\/rest\/ip\/%IP%"
}
],
"zoneSelection" : "auto_only",
"restrictedIPs" : "192.168.1.1",
"vulnScoreLow" : "1",
"vulnScoreMedium" : "3",
"vulnScoreHigh" : "10",
"vulnScoreCritical" : "40",
"vulnScoringSystem" : "CVSSv2",
"createdTime" : "1406321214",
"modifiedTime" : "1414509795",
"userCount" : "4",
"lces" : [
{
"id" : "3",
"name" : "LCE 192.168.1.1",
"description" : "Copied from Box for testing"
},
{
"id" : "4",
"name" : "NEW LCE",
"description" : "Copied from Box for testing"
},
{
"id" : "5",
"name" : "qa-lce4x-lifeA",
"description" : "Copied from Box for testing"
}
],
"repositories" : [
{
"id" : "25",
"name" : "IPv6 Rep",
"description" : "",
"type" : "Local",
"dataFormat" : "IPv6",
"groupAssign" : "fullAccess"
},
{
"id" : "26",
"name" : "agrepo",
"description" : "",
"type" : "Local",
"dataFormat" : "IPv4",
"groupAssign" : "fullAccess"
},
{
"id" : "27",
"name" : "mp asset tests IPv6",
"description" : "Copied from QA",
"type" : "Local",
"dataFormat" : "IPv6",
"groupAssign" : "fullAccess"
},
{
"id" : "29",
"name" : "Test IPv6",
"description" : "",
"type" : "Local",
"dataFormat" : "IPv6",
"groupAssign" : "fullAccess"
}
],
"zones" : [],
"ldaps" : [],
"pubSites" : [
{
"id":"2","name":"Test1","description":"","type":"CMRS"
}
]
},
{
"id" : "9",
"sciOrgID": "2",
"name" : "Test Org 1",
"description" : "",
"SCI": {
"id": "3",
"name": "ChildSCI",
"description": "SCI example description"
},
"email" : "",
"address" : "",
"city" : "",
"state" : "",
"country" : "",
"phone" : "",
"fax" : "",
"ipInfoLinks" : [
{
"name" : "SANS",
"link" : "https:\/\/isc.sans.edu\/ipinfo.html?ip=%IP%"
},
{
"name" : "ARIN",
"link" : "http:\/\/whois.arin.net\/rest\/ip\/%IP%"
}
],
"zoneSelection" : "auto_only",
"restrictedIPs" : "",
"vulnScoreLow" : "1",
"vulnScoreMedium" : "3",
"vulnScoreHigh" : "10",
"vulnScoreCritical" : "40",
"vulnScoringSystem" : "CVSSv2",
"createdTime" : "1409944744",
"modifiedTime" : "1414521257",
"userCount" : "1",
"lces" : [],
"repositories" : [
{
"id" : "25",
"name" : "IPv6 Rep",
"description" : "",
"type" : "Local",
"dataFormat" : "IPv6",
"groupAssign" : "all"
},
{
"id" : "26",
"name" : "agrepo",
"description" : "",
"type" : "Local",
"dataFormat" : "IPv4",
"groupAssign" : "all"
},
{
"id" : "27",
"name" : "mp asset tests IPv6",
"description" : "Copied from QA",
"type" : "Local",
"dataFormat" : "IPv6",
"groupAssign" : "all"
}
],
"zones" : [],
"ldaps" : [],
"nessusManagers" : [],
"pubSites" : []
}
],
"error_code" : 0,
"error_msg" : "",
"warnings" : [],
"timestamp" : 1418050287
}
/mgmt/organization/{id}
Methods
Gets the Organization associated with {id}.
Fields Parameter
The fields parameter should be specified along the query string, and it takes the syntax
?fields=<field>,...
Allowed Fields
*id
*sci
**sciOrganization
**name
**description
email
address
city
state
country
phone
fax
ipInfoLinks
zoneSelection
restrictedIPs
vulnScoreLow
vulnScoreMedium
vulnScoreHigh
vulnScoreCritical
vulnScoringSystem
createdTime
modifiedTime
userCount
lces
repositories
zones
nessusManagers
pubSites
ldaps
Legend
* = always comes back
** = comes back if fields list not specified on GET all
Request Parameters
None
Example Response
{
"type" : "regular",
"response" : {
"id" : "8",
"sciOrgID": "1",
"name" : "Org",
"description" : "Testing for Policies with New Schema",
"email" : "",
"address" : "",
"city" : "",
"state" : "",
"country" : "",
"phone" : "",
"fax" : "",
"ipInfoLinks" : [
{
"name" : "SANS",
"link" : "https:\/\/isc.sans.edu\/ipinfo.html?ip=%IP%"
},
{
"name" : "ARIN",
"link" : "http:\/\/whois.arin.net\/rest\/ip\/%IP%"
}
],
"zoneSelection" : "auto_only",
"restrictedIPs" : "192.168.1.1",
"vulnScoreLow" : "1",
"vulnScoreMedium" : "3",
"vulnScoreHigh" : "10",
"vulnScoreCritical" : "40",
"vulnScoringSystem" : "CVSSv2",
"createdTime" : "1406321214",
"modifiedTime" : "1414509795",
"SCI": {
"id": "3",
"name": "ChildSCI",
"description: "SCI example description"
},
"userCount" : "4",
"lces" : [
{
"id" : "3",
"name" : "LCE 192.168.1.1",
"description" : "Copied from Box for testing"
},
{
"id" : "4",
"name" : "NEW LCE",
"description" : "Copied from Box for testing"
},
{
"id" : "5",
"name" : "qa-lce4x-lifeA",
"description" : "Copied from Box for testing"
}
],
"repositories" : [
{
"id" : "25",
"name" : "IPv6 Rep",
"description" : "",
"type" : "Local",
"dataFormat" : "IPv6",
"groupAssign" : "fullAccess"
},
{
"id" : "26",
"name" : "agrepo",
"description" : "",
"type" : "Local",
"dataFormat" : "IPv4",
"groupAssign" : "fullAccess"
},
{
"id" : "27",
"name" : "mp asset tests IPv6",
"description" : "Copied from QA",
"type" : "Local",
"dataFormat" : "IPv6",
"groupAssign" : "fullAccess"
},
{
"id" : "29",
"name" : "Test IPv6",
"description" : "",
"type" : "Local",
"dataFormat" : "IPv6",
"groupAssign" : "fullAccess"
}
],
"zones" : [],
"ldaps" : [],
"nessusManagers" : [],
"pubSites" : [
{
"id":"2","name":"Test1","description":"","type":"CMRS"
}
]
},
"error_code" : 0,
"error_msg" : "",
"warnings" : [],
"timestamp" : 1418050303
}